@import 'print.css';
/* ==========================================================================
   $BASE-PICKER
   ========================================================================== */
/**
 * Note: the root picker element should *NOT* be styled more than what’s here.
 */
.picker {
  font-size: 16px;
  text-align: left;
  line-height: 1.2;
  color: #000;
  position: absolute;
  z-index: 10000;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  outline: none;
}
/**
 * The picker input element.
 */
.picker__input {
  cursor: default;
}
/**
 * When the picker is opened, the input element is “activated”.
 */
.picker__input.picker__input--active {
  border-color: #0089ec;
}
/**
 * The holder is the only “scrollable” top-level container element.
 */
.picker__holder {
  width: 100%;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}

/*!
 * Classic picker styling for pickadate.js
 * Demo: http://amsul.github.io/pickadate.js
 */
/**
 * Note: the root picker element should *NOT* be styled more than what’s here.
 */
.picker {
  width: 100%;
}
/**
 * The holder is the base of the picker.
 */
.picker__holder {
  position: absolute;
  background: #fff;
  border: 1px solid #aaaaaa;
  border-top-width: 0;
  border-bottom-width: 0;
  border-radius: 0 0 5px 5px;
  box-sizing: border-box;
  min-width: 176px;
  max-width: 466px;
  max-height: 0;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  filter: alpha(opacity=0);
  -moz-opacity: 0;
  opacity: 0;
  transform: translateY(-1em) perspective(600px) rotateX(10deg);
  transition: transform 0.15s ease-out, opacity 0.15s ease-out, max-height 0s 0.15s, border-width 0s 0.15s;
}
/**
 * The frame and wrap work together to ensure that
 * clicks within the picker don’t reach the holder.
 */
.picker__frame {
  padding: 1px;
}
.picker__wrap {
  margin: -1px;
}
/**
 * When the picker opens...
 */
.picker--opened .picker__holder {
  max-height: 25em;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
  filter: alpha(opacity=100);
  -moz-opacity: 1;
  opacity: 1;
  border-top-width: 1px;
  border-bottom-width: 1px;
  transform: translateY(0) perspective(600px) rotateX(0);
  transition: transform 0.15s ease-out, opacity 0.15s ease-out, max-height 0s, border-width 0s;
  box-shadow: 0 6px 18px 1px rgba(0, 0, 0, 0.12);
}

/* ==========================================================================
   $BASE-DATE-PICKER
   ========================================================================== */
/**
 * The picker box.
 */
.picker__box {
  padding: 0 1em;
}
/**
 * The header containing the month and year stuff.
 */
.picker__header {
  text-align: center;
  position: relative;
  margin-top: .75em;
}
/**
 * The month and year labels.
 */
.picker__month,
.picker__year {
  font-weight: 500;
  display: inline-block;
  margin-left: .25em;
  margin-right: .25em;
}
.picker__year {
  color: #999;
  font-size: .8em;
  font-style: italic;
}
/**
 * The month and year selectors.
 */
.picker__select--month,
.picker__select--year {
  border: 1px solid #b7b7b7;
  height: 2em;
  padding: .5em;
  margin-left: .25em;
  margin-right: .25em;
}
@media (min-width: 24.5em) {
  .picker__select--month,
  .picker__select--year {
    margin-top: -0.5em;
  }
}
.picker__select--month {
  width: 35%;
}
.picker__select--year {
  width: 22.5%;
}
.picker__select--month:focus,
.picker__select--year:focus {
  border-color: #0089ec;
}
/**
 * The month navigation buttons.
 */
.picker__nav--prev,
.picker__nav--next {
  position: absolute;
  padding: .5em 1.25em;
  width: 1em;
  height: 1em;
  box-sizing: content-box;
  top: -0.25em;
}
@media (min-width: 24.5em) {
  .picker__nav--prev,
  .picker__nav--next {
    top: -0.33em;
  }
}
.picker__nav--prev {
  left: -1em;
  padding-right: 1.25em;
}
@media (min-width: 24.5em) {
  .picker__nav--prev {
    padding-right: 1.5em;
  }
}
.picker__nav--next {
  right: -1em;
  padding-left: 1.25em;
}
@media (min-width: 24.5em) {
  .picker__nav--next {
    padding-left: 1.5em;
  }
}
.picker__nav--prev:before,
.picker__nav--next:before {
  content: " ";
  border-top: .5em solid transparent;
  border-bottom: .5em solid transparent;
  border-right: 0.75em solid #000;
  width: 0;
  height: 0;
  display: block;
  margin: 0 auto;
}
.picker__nav--next:before {
  border-right: 0;
  border-left: 0.75em solid #000;
}
.picker__nav--prev:hover,
.picker__nav--next:hover {
  cursor: pointer;
  color: #000;
  background: #b1dcfb;
}
.picker__nav--disabled,
.picker__nav--disabled:hover,
.picker__nav--disabled:before,
.picker__nav--disabled:before:hover {
  cursor: default;
  background: none;
  border-right-color: #f5f5f5;
  border-left-color: #f5f5f5;
}
/**
 * The calendar table of dates
 */
.picker__table {
  text-align: center;
  border-collapse: collapse;
  border-spacing: 0;
  table-layout: fixed;
  font-size: inherit;
  width: 100%;
  margin-top: .75em;
  margin-bottom: .5em;
}
@media (min-height: 33.875em) {
  .picker__table {
    margin-bottom: .75em;
  }
}
.picker__table td {
  margin: 0;
  padding: 0;
}
/**
 * The weekday labels
 */
.picker__weekday {
  width: 14.285714286%;
  font-size: .75em;
  padding-bottom: .25em;
  color: #999;
  font-weight: 500;
  /* Increase the spacing a tad */
}
@media (min-height: 33.875em) {
  .picker__weekday {
    padding-bottom: .5em;
  }
}
/**
 * The days on the calendar
 */
.picker__day {
  padding: .3125em 0;
  font-weight: 200;
  border: 1px solid transparent;
}
.picker__day--today {
  position: relative;
}
.picker__day--today:before {
  content: " ";
  position: absolute;
  top: 2px;
  right: 2px;
  width: 0;
  height: 0;
  border-top: 0.5em solid #0059bc;
  border-left: .5em solid transparent;
}
.picker__day--disabled:before {
  border-top-color: #aaa;
}
.picker__day--outfocus {
  color: #ddd;
}
.picker__day--infocus:hover,
.picker__day--outfocus:hover {
  cursor: pointer;
  color: #000;
  background: #b1dcfb;
}
.picker__day--highlighted {
  border-color: #0089ec;
}
.picker__day--highlighted:hover,
.picker--focused .picker__day--highlighted {
  cursor: pointer;
  color: #000;
  background: #b1dcfb;
}
.picker__day--selected,
.picker__day--selected:hover,
.picker--focused .picker__day--selected {
  background: #0089ec;
  color: #fff;
}
.picker__day--disabled,
.picker__day--disabled:hover,
.picker--focused .picker__day--disabled {
  background: #f5f5f5;
  border-color: #f5f5f5;
  color: #ddd;
  cursor: default;
}
.picker__day--highlighted.picker__day--disabled,
.picker__day--highlighted.picker__day--disabled:hover {
  background: #bbb;
}
/**
 * The footer containing the "today", "clear", and "close" buttons.
 */
.picker__footer {
  text-align: center;
}
.picker__button--today,
.picker__button--clear,
.picker__button--close {
  border: 1px solid #fff;
  background: #fff;
  font-size: .8em;
  padding: .66em 0;
  font-weight: bold;
  width: 33%;
  display: inline-block;
  vertical-align: bottom;
}
.picker__button--today:hover,
.picker__button--clear:hover,
.picker__button--close:hover {
  cursor: pointer;
  color: #000;
  background: #b1dcfb;
  border-bottom-color: #b1dcfb;
}
.picker__button--today:focus,
.picker__button--clear:focus,
.picker__button--close:focus {
  background: #b1dcfb;
  border-color: #0089ec;
  outline: none;
}
.picker__button--today:before,
.picker__button--clear:before,
.picker__button--close:before {
  position: relative;
  display: inline-block;
  height: 0;
}
.picker__button--today:before,
.picker__button--clear:before {
  content: " ";
  margin-right: .45em;
}
.picker__button--today:before {
  top: -0.05em;
  width: 0;
  border-top: 0.66em solid #0059bc;
  border-left: .66em solid transparent;
}
.picker__button--clear:before {
  top: -0.25em;
  width: .66em;
  border-top: 3px solid #e20;
}
.picker__button--close:before {
  content: "\D7";
  top: -0.1em;
  vertical-align: top;
  font-size: 1.1em;
  margin-right: .35em;
  color: #777;
}
.picker__button--today[disabled],
.picker__button--today[disabled]:hover {
  background: #f5f5f5;
  border-color: #f5f5f5;
  color: #ddd;
  cursor: default;
}
.picker__button--today[disabled]:before {
  border-top-color: #aaa;
}

/* ==========================================================================
   $CLASSIC-DATE-PICKER
   ========================================================================== */

body {
  background-color: #2d2f35;
}
.sconto_2:not(:empty)::before {
  content: ' + ';
}
.sconto_1:not(:empty)::after,
.sconto_2:not(:empty)::after,
.sconto_merce_aggiuntivo:not(:empty)::after {
  content: '%';
}
.descrizioneRiga {
  font-size: 90%;
}
.ui.grid > .row > .column.descrizione {
  display: flex;
  align-items: center;
}
.ui.gray.label.hint {
  white-space: normal;
}
.ui.gray.label.hint:empty {
  display: none;
}
#timeout,
#archivio_clienti {
  display: none;
}
.ui.grid > .row > .column.nascosto,
.nascosto {
  display: none;
}
.totale_scontato::before,
.prezzo_unitario:not(:empty)::before,
.prezzo_netto:not(:empty)::before,
.prezzo_scontato:not(:empty)::before,
#totale_imponibile::before,
#spese_di_spedizione::before,
#totale_finale::before,
#totale_sconto_merce::before {
  content: '€ ';
}
.prezzo_scontato:not(:empty) {
  display: block;
}
.prezzo_unitario:not(:empty) {
  text-decoration: line-through;
  color: #bbb;
}
.ui.form .inverted.segment label.nero,
.ui.form .inverted.segment .ui.checkbox label.nero,
.ui.form .inverted.segment label.nero {
  color: #000;
}
.title.highlight {
  color: #00b5ad !important;
}
.small.text.muted {
  font-size: 12px !important;
  font-weight: light;
  color: #666;
}
.grey.row {
  background-color: #eee;
}
.column .picker {
  position: absolute;
  left: -50%;
}
.dataConsegnaRiga .picker {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -25%;
  margin-left: -25%;
}
.ui.grid > .row > .column.alignBottom {
  vertical-align: bottom;
}
.muted {
  color: #ccc;
}
span.warning {
  color: orange;
}
.riservata .segment.footer::before {
  margin-bottom: 90px;
  content: ' ';
}
.riservata .header.main {
  margin-top: 41px;
}
.riservata .page.main {
  padding-bottom: 90px;
}
.riservata .centered {
  text-align: center;
}
.ui.search > input.compact,
.ui.form input[type='text'].compact {
  padding: 0.67861em 3px;
  text-align: center;
}
.segment__loading {
  min-height: 200px;
}
.titoli {
  background-color: #677da2;
  color: #fff;
}
.titoli_sconto_merce {
  background-color: #68a267;
  color: #000;
}
.ui.grid > .row.titoli > .column {
  font-family: 'Arial Narrow';
  font-weight: bold;
  vertical-align: middle;
  text-align: center;
}
.ui.search.articoli {
  min-width: 80px;
  display: inline-block;
}
span.articoli {
  margin-left: 10px;
}
.scontato {
  color: #ccc;
  text-decoration: line-through;
}
@media print {
  .hidden-print,
  .no-print,
  .no-print *,
  .hidden-print * {
    display: none !important;
  }
}
.green:focus {
  outline-color: none;
  box-shadow: 0 0 8px green;
}
.ui.tabular.menu .item {
  background-color: #a0a0a0;
  border-radius: 4px 4px 0 0;
  border-right: 1px solid #2d2f35;
}
.ui.pointing.tabular.menu .item {
  background-color: #fff;
  border-right: 0 solid #fff;
}
.ui.tabular.menu .item:hover {
  background-color: #b0b0b0;
}
.ui.message.doublelh {
  line-height: 200%;
}
.ui.grid.padding-inner-grid {
  padding: 0;
}
.ui.grid.border-top-gray {
  border-top: 1px solid #ccc;
}
.in-modifica,
.riga-ordine {
  min-height: 4.2rem;
}
.ui.grid > .row span.con {
  text-align: center;
  padding: 0;
  padding-left: 5px;
  color: #666;
  font-size: smaller;
  vertical-align: 3px;
}
.quantita_conf {
  padding: 3px;
  display: inline-flex;
  flex-direction: row-reverse;
  border-radius: 3px;
  border: 1px solid #ccc;
  height: 24px;
  cursor: pointer;
}
.quantita_conf:has(> span.con:empty) {
  display: none;
}
.quantita_conf img.box {
  width: 1em;
  filter: brightness(0) brightness(66%) saturate(0%);
}
.quantita_conf span.con:empty ~ img.box {
  display: none;
}
.errato {
  background-color: #ffc7ba !important;
}
.ui.grid > .row > .column.cella-editabile {
  background-color: #f9fae5;
  vertical-align: middle;
  padding: 0;
}
.ui.form .cella-editabile input {
  border: 0;
  background-color: transparent;
  border-radius: 0;
  min-height: 4.2rem;
}
.ui.form .cella-editabile input:focus {
  border: 0;
  box-shadow: none;
}
.ui.grid > .row.cella-editabile {
  padding: 0;
  margin: 4px 3px;
  min-height: 4.2rem;
  height: 4.2rem;
}
.ui.grid > .row > [class*='three wide'].column.cella-editabile {
  width: 14% !important;
  min-width: 14% !important;
  min-height: 100%;
}
.ui.grid > .row > [class*='three wide'].column.cella-editabile > input {
  text-align: center;
  width: 100%;
  padding: 3px;
  height: 100%;
  position: relative;
  min-height: 4.2rem;
}
.ui.segment.editor {
  border-width: 4px !important;
  border-color: green !important;
  border-style: solid !important;
  color: black;
}
.ui.segment.editorSM {
  border-width: 4px !important;
  border-color: yellow !important;
  border-style: solid !important;
  color: black;
}
div[data-tab='ordine'] > .ui.segment.attached {
  border-color: white;
  padding-top: 0;
  margin-top: 0;
  padding-bottom: 4px;
  margin-bottom: 0;
}
.ui.segment.footer.fixed.bottom.sticky {
  margin-bottom: 0;
  border-radius: 0;
}
.no.padding {
  padding: 0 !important;
}
.no.margin {
  margin: 0 !important;
}
.sconto {
  font-size: 80%;
}
.grigino {
  background-color: #eee;
}
.missing {
  background-color: #ffcccc !important;
}
table tr.alternata {
  background-color: hsl(217, 24%, 95%);
}
.riservata .ui.segment.footer.bottom {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  margin-bottom: 0;
}
.ui.header.no.top.margin {
  margin-top: 0;
}
